var EnemyCharacterClass_Frog = function(stage, args){
	EnemyCharacterClass_Frog.base.apply(this, [stage, [["toad.png","toad2.png","toad3.png",]]]);

	this.size.x = 32;
	this.size.y = 32;
	
	this.chasingRange = 300;
	
	this.movingVelocity = 100;
	this.max_HP = 10;
	this.HP = this.max_HP;

	this.jumpPower = 100;
	
	stage.addStageObject(this);
}.extend(EnemyCharacterClass, {
	className: "EnemyCharacterClass_Frog",
	goLeft : function(){
		EnemyCharacterClass_Frog.base.prototype.goLeft.apply(this);
		EnemyCharacterClass_Frog.base.prototype.jump.apply(this);
	},
	
	//通常右に進むときに呼ばれる。
	goRight : function(){
		EnemyCharacterClass_Frog.base.prototype.goRight.apply(this);
		EnemyCharacterClass_Frog.base.prototype.jump.apply(this);
	},

	tick : function()
	{
		this.checkTouchingDirection();
		if((this.touchingDirection & CollideBottom) != 0)
		{
			this.isGround = true;
		}
		
		EnemyCharacterClass_Frog.base.prototype.tick.apply(this);
	},
	
});
